summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-misc/tasque
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-misc/tasque')
-rw-r--r--app-misc/tasque/Manifest2
-rw-r--r--app-misc/tasque/metadata.xml17
-rw-r--r--app-misc/tasque/tasque-0.1.11.ebuild60
-rw-r--r--app-misc/tasque/tasque-0.1.12.ebuild53
4 files changed, 132 insertions, 0 deletions
diff --git a/app-misc/tasque/Manifest b/app-misc/tasque/Manifest
new file mode 100644
index 00000000000..9c9ac6a365e
--- /dev/null
+++ b/app-misc/tasque/Manifest
@@ -0,0 +1,2 @@
+DIST tasque-0.1.11.tar.xz 443516 SHA256 c2fa0932a8339aea1fc1faa419a714abd3e471ae40312803d63592f1584451aa SHA512 0f887f9f26bf755bdf03c7da07b98972674169a201d9f65a15b152f327f843dc630599462b4591f2e7c270a49753c31e262690c2a2b8742182bff569029d3ee2 WHIRLPOOL 307659e00e5046bd6dfc9c4cd1b672298ab7889efd25ae17477ed37947cd966cc6850177be2e47c7d8c8c7ccad4de4464188bb878f80daf4ebbc300221208440
+DIST tasque-0.1.12.tar.xz 461576 SHA256 db4d4a822cfa87ce8cf311189e17fa8fbda37e7c943874b6bf62c6a84b2d824d SHA512 441aa1a13d260e59ef07bb75a0b38b43cbcc30737589922ba4e697220fdd0a9bfe9af8c1c2484b6c0d68a4f33cb0f895822cb04e90d6782db66c0f80de50078b WHIRLPOOL 4ea0288712f596b720f38e5b0f20c4e1c43ab6b7cee206b814b2e272fcdd33ddcaf93b4aaafdef82e3fe2e1371176b7599161e1d32a262a4f92ef057bf14b2a3
diff --git a/app-misc/tasque/metadata.xml b/app-misc/tasque/metadata.xml
new file mode 100644
index 00000000000..0d070c98757
--- /dev/null
+++ b/app-misc/tasque/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>dotnet</herd>
+ <maintainer>
+ <email>suka@gentoo.org</email>
+ <name>Andreas Proschofsky</name>
+ </maintainer>
+ <use>
+ <flag name='rememberthemilk'>
+ Allows you to use http://www.rememberthemilk.com/ as your storage backend.
+ </flag>
+ <flag name='hiveminder'>
+ Allows you to use http://www.hiveminder.com/ as your storage backend.
+ </flag>
+ </use>
+</pkgmetadata>
diff --git a/app-misc/tasque/tasque-0.1.11.ebuild b/app-misc/tasque/tasque-0.1.11.ebuild
new file mode 100644
index 00000000000..08f916a4731
--- /dev/null
+++ b/app-misc/tasque/tasque-0.1.11.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit eutils gnome.org mono
+
+DESCRIPTION="Tasky is a simple task management app (TODO list) for the Linux Desktop"
+HOMEPAGE="http://live.gnome.org/Tasque"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="+rememberthemilk +sqlite hiveminder debug"
+
+RDEPEND=">=dev-dotnet/gtk-sharp-2.12.7-r5
+ >=dev-dotnet/gnome-sharp-2.24.0
+ >=dev-dotnet/notify-sharp-0.4.0_pre20080912
+ >=dev-dotnet/ndesk-dbus-0.6
+ >=dev-dotnet/ndesk-dbus-glib-0.4
+ sqlite? ( dev-db/sqlite:3 )
+ "
+
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+ BACKEND=false
+ for usef in sqlite hiveminder rememberthemilk
+ do
+ use $usef && BACKEND=true
+ done
+ if [[ "${BACKEND}" != "true" ]]
+ then
+ eerror "You must select one of the following backends by enabling their useflag:"
+ eerror "sqlite ( uses a local, file-backed database to keep track of your TODO list )"
+ eerror "rememberthemilk ( integrates with www.rememberthemilk.com )"
+ eerror "hiveminder ( integrates with www.hiveminder.com )"
+ die "Please select a backend"
+ fi
+}
+
+src_configure() {
+ #http://bugzilla.gnome.org/show_bug.cgi?id=568910
+ export GTK_DOTNET_20_LIBS=" " \
+ GTK_DOTNET_20_CFLAGS=" "
+ econf --disable-backend-icecore \
+ --disable-backend-eds \
+ --disable-appindicator \
+ --enable-backend-rtm \
+ $(use_enable sqlite backend-sqlite) \
+ $(use_enable hiveminder backend-hiveminder) \
+ $(use_enable debug)
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die "emake failed"
+ dodoc NEWS TODO README AUTHORS || die "docs installation failed"
+ mv_command="cp -pPR" mono_multilib_comply
+}
diff --git a/app-misc/tasque/tasque-0.1.12.ebuild b/app-misc/tasque/tasque-0.1.12.ebuild
new file mode 100644
index 00000000000..b431d99c278
--- /dev/null
+++ b/app-misc/tasque/tasque-0.1.12.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils gnome.org mono
+
+DESCRIPTION="Simple task management app (TODO list) for the Linux Desktop"
+HOMEPAGE="https://live.gnome.org/Tasque"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+rememberthemilk +sqlite hiveminder debug"
+
+LANGS="ca ca@valencia cs da de el en_GB eo es et fi fr gl hu id it ja lv nb nds nl pl
+ pt pt_BR ro ru sl sr sr@latin sv th tr zh_CN zh_TW"
+
+for lang in ${LANGS}; do
+ IUSE+=" linguas_${lang}"
+done
+
+REQUIRED_USE="|| ( rememberthemilk sqlite hiveminder )"
+
+RDEPEND=">=dev-dotnet/gtk-sharp-2.12.7-r5
+ >=dev-dotnet/notify-sharp-0.4.0_pre20080912
+ dev-dotnet/dbus-sharp
+ dev-dotnet/dbus-sharp-glib
+ sqlite? ( dev-db/sqlite:3 )"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ econf --disable-backend-icecore \
+ --disable-backend-eds \
+ --disable-appindicator \
+ --enable-backend-rtm \
+ $(use_enable sqlite backend-sqlite) \
+ $(use_enable hiveminder backend-hiveminder) \
+ $(use_enable debug)
+}
+
+src_install() {
+ default
+ mv_command="cp -pPR" mono_multilib_comply
+ einfo "Cleaning up locales..."
+ for lang in ${LANGS}; do
+ use "linguas_${lang}" && {
+ einfo "- keeping ${lang}"
+ continue
+ }
+ rm -Rf "${D}"/usr/share/locale/"${lang}" || die
+ done
+}